# -*- coding: utf-8 -*-

from django_logit import logit
from django_response import response
from paginator import pagination

from temperature.models import TemperatureInfo
from thermometer.models import ThermometerInfo


@logit
def temperature_upload(request):
    user_id = request.POST.get('user_id', '')
    macid = request.POST.get('macid', '')
    temperature = request.POST.get('temperature', 0)

    thermometer, _ = ThermometerInfo.objects.get_or_create(user_id=user_id, macid=macid)

    TemperatureInfo.objects.create(
        thermometer_id=thermometer.thermometer_id,
        user_id=user_id,
        macid=macid,
        temperature=temperature,
    )

    return response()


@logit
def temperature_list(request):
    user_id = request.POST.get('user_id', '')
    macid = request.POST.get('macid', '')
    page = request.POST.get('page', 1)
    num = request.POST.get('num', 20)

    temperatures = TemperatureInfo.objects.filter(user_id=user_id, status=True)
    if macid:
        temperatures = temperatures.filter(macid=macid)
    temperatures, left = pagination(temperatures, page, num)
    temperatures = [temperature.data for temperature in temperatures]

    return response(data={
        'temperatures': temperatures,
        'left': left,
    })
